#!/bin/bash

# Move to the directory of the subtree:
echo "Changing directory."
cd "utils_v2" || { echo "Failed to change directory."; exit 1; }

# Accept a comment from the terminal:
echo "Comment: "
read -r COMMENT

# Add all the modified files to the intended commit:
git add .
echo "Files added."

# Make the commit:
git commit -m "$COMMENT"
echo "Commit done."

# Return to the parent directory:
echo "Returning to parent directory."
cd ..

echo "Pushing to git."
git subtree push --prefix=utils_v2 https://wtt.ditscentre.in/ditscentre/utils_v2.git master
echo "Attempt done. Exiting."